List CRM sync jobs
Returns a paginated list of all CRM sync jobs (pull and push) for the workspace, sorted by most recent first.
curl -X GET "https://api.sendkit.ai/v1/integrations/crm/jobs?page=1&limit=25" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/integrations/crm/jobs?page=1&limit=25"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/integrations/crm/jobs?page=1&limit=25", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/integrations/crm/jobs?page=1&limit=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/integrations/crm/jobs?page=1&limit=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"jobs": [
{
"id": "69c10b1b1b48d8364dc10845",
"crmType": "airtable",
"jobType": "push",
"status": "pending",
"entityType": "people",
"totalRecords": 0,
"processedRecords": 0,
"failedRecords": 0,
"progress": 0,
"importedCount": 0,
"pushedCount": 1,
"errors": [],
"errorsCount": 0,
"createdAt": "2026-03-23T09:42:51.508Z",
"completedAt": null
}
],
"activeCount": 1,
"hasActiveJobs": true
}
}
GET
/v1/integrations/crm/jobs
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
query
pageinteger
Min: 1
query
limitinteger
Items per page (default 25, max 100)
Min: 1 • Max: 100
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Query Parameters
limitinteger
Items per page (default 25, max 100)
Responses
successboolean
dataobject
Was this page helpful?